## GstPluginFeature GstPluginFeature |

## Functions

gboolean | (*GstPluginFeatureFilter) ()
void | gst_plugin_feature_set_rank ()
#define | gst_plugin_feature_set_name()
guint | gst_plugin_feature_get_rank ()
#define | gst_plugin_feature_get_name()
GstPlugin * | gst_plugin_feature_get_plugin ()
const gchar * | gst_plugin_feature_get_plugin_name ()
GstPluginFeature * | gst_plugin_feature_load ()
GList * | gst_plugin_feature_list_copy ()
void | gst_plugin_feature_list_free ()
#define | GST_PLUGIN_FEATURE_LIST_DEBUG()
gboolean | gst_plugin_feature_check_version ()
gint | gst_plugin_feature_rank_compare_func ()

## Types and Values

| GstPluginFeature
enum | GstRank

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPluginFeature
                    ├── GstElementFactory
                    ├── GstTracerFactory
                    ├── GstTypeFindFactory
                    ╰── GstDeviceProviderFactory

## Includes

    #include <gst/gst.h>

## Description

## Functions

### GstPluginFeatureFilter ()

    gboolean
    (*GstPluginFeatureFilter) (GstPluginFeature *feature,
                               gpointer user_data);

### gst_plugin_feature_set_rank ()

    void
    gst_plugin_feature_set_rank (GstPluginFeature *feature,
                                 guint rank);

### gst_plugin_feature_set_name()

    #define                 gst_plugin_feature_set_name(feature,name) gst_object_set_name(GST_OBJECT_CAST(feature),name)

### gst_plugin_feature_get_rank ()

    guint
    gst_plugin_feature_get_rank (GstPluginFeature *feature);

### gst_plugin_feature_get_name()

    #define                 gst_plugin_feature_get_name(feature)      GST_OBJECT_NAME(feature)

### gst_plugin_feature_get_plugin ()

    GstPlugin *
    gst_plugin_feature_get_plugin (GstPluginFeature *feature);

### gst_plugin_feature_get_plugin_name ()

    const gchar *
    gst_plugin_feature_get_plugin_name (GstPluginFeature *feature);

### gst_plugin_feature_load ()

    GstPluginFeature *
    gst_plugin_feature_load (GstPluginFeature *feature);

### gst_plugin_feature_list_copy ()

    GList *
    gst_plugin_feature_list_copy (GList *list);

### gst_plugin_feature_list_free ()

    void
    gst_plugin_feature_list_free (GList *list);

### GST_PLUGIN_FEATURE_LIST_DEBUG()

    #define GST_PLUGIN_FEATURE_LIST_DEBUG(list) gst_plugin_feature_list_debug(list)

### gst_plugin_feature_check_version ()

    gboolean
    gst_plugin_feature_check_version (GstPluginFeature *feature,
                                      guint min_major,
                                      guint min_minor,
                                      guint min_micro);

### gst_plugin_feature_rank_compare_func ()

    gint
    gst_plugin_feature_rank_compare_func (gconstpointer p1,
                                          gconstpointer p2);

## Types and Values

### GstPluginFeature

    typedef struct _GstPluginFeature GstPluginFeature;

### enum GstRank

#### Members

GST_RANK_NONE |  |
GST_RANK_MARGINAL |  |
GST_RANK_SECONDARY |  |
GST_RANK_PRIMARY |  |